The following list of keys can be used to interact with the Signature component.
Properties | Functionality |
---|---|
Ctrl + Z | Undo the last user action. |
Ctrl + Y | Redo the last user action. |
Ctrl + S | To save the signature. |
delete | Erases all the signature strokes signed by user. |
import { Component } from '@angular/core';
@Component({
selector: 'app-root',
template: `<h4>Sign here</h4>
<!-- To Render Signature. -->
<canvas ejs-signature #signature id="signature"></canvas>`
})
export class AppComponent {}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { AppComponent } from './app.component';
import { SignatureComponent } from '@syncfusion/ej2-angular-inputs';
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);
/**
* Module
*/
@NgModule({
imports: [
BrowserModule,FormsModule
],
declarations: [AppComponent, SignatureComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

The following list of keys can be used to interact with the Signature component.
Properties | Functionality |
---|---|
Ctrl + Z | Undo the last user action. |
Ctrl + Y | Redo the last user action. |
Ctrl + S | To save the signature. |
delete | Erases all the signature strokes signed by user. |
import { SignatureComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";
class App extends React.Component {
render() {
return (<div id='container'>
<div id='signature-control'>
<h4>Sign here</h4>
<SignatureComponent id='signature'/>
</div>
</div>);
}
}
;
ReactDOM.render(<App />, document.getElementById('element'));
<!DOCTYPE html>
<html lang="en">
<head>
<title>EJ2 React Signature</title>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<meta name="description" content="React Signature Component" />
<meta name="author" content="Syncfusion" />
<link href="styles.css" rel="stylesheet" />
<link href="//cdn.syncfusion.com/ej2/20.1.57/ej2-base/styles/material.css" rel="stylesheet" />
<link href="//cdn.syncfusion.com/ej2/20.1.57/ej2-inputs/styles/material.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
<script src="systemjs.config.js"></script>
</head>
<body>
<div id='element'>
<div id='loader'>Loading....</div>
</div>
</body>
</html>
import { SignatureComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";
class App extends React.Component<{}, {}> {
public render() {
return (
<div id='container'>
<div id='signature-control'>
<h4>Sign here</h4>
<SignatureComponent id='signature'/>
</div>
</div>
);
}
};
ReactDOM.render(<App />, document.getElementById('element'));